using System;
using System.Security.Cryptography;

namespace EMISecurity.Utilities
{
	public static class RandomNumber
	{
		private static readonly RNGCryptoServiceProvider _Random = new RNGCryptoServiceProvider();
		private static readonly byte[] bytes = new byte[4];

		public static int Next(int max)
		{
			if (max <= 0)
			{
				throw new ArgumentOutOfRangeException("max");
			}
			_Random.GetBytes(bytes);
			int value = BitConverter.ToInt32(bytes, 0)%max;
			if (value < 0)
			{
				value = -value;
			}
			return value;
		}

	}
}